Package org.springframework.test.web.servlet.result

# Class MockMvcResultHandlers

java.lang.Object
org.springframework.test.web.servlet.result.MockMvcResultHandlers

public abstract class MockMvcResultHandlers extends Object
Static factory methods for `ResultHandler`-based result actions.

### Eclipse Users

Consider adding this class as a Java editor favorite. To navigate to this setting, open the Preferences and type "favorites".

Since:
  3.2
Author:
  Rossen Stoyanchev, Sam Brannen

## Constructor Summary

Constructors
Constructor
Description
`MockMvcResultHandlers()`

## Method Summary

Modifier and Type
Method
Description
`static ResultHandler`
`log()`
Log `MvcResult` details as a `DEBUG` log message via Apache Commons Logging using the log category `org.springframework.test.web.servlet.result`.
`static ResultHandler`
`print()`
Print `MvcResult` details to the "standard" output stream.
`static ResultHandler`
`print(OutputStream stream)`
Print `MvcResult` details to the supplied `OutputStream`.
`static ResultHandler`
`print(Writer writer)`
Print `MvcResult` details to the supplied `Writer`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockMvcResultHandlers

public MockMvcResultHandlers()

## Method Details

### log

public static ResultHandler log()
Log `MvcResult` details as a `DEBUG` log message via Apache Commons Logging using the log category `org.springframework.test.web.servlet.result`.

Since:
  4.2
See Also:
  - `print()`
  - `print(OutputStream)`
  - `print(Writer)`

### print

public static ResultHandler print()
Print `MvcResult` details to the "standard" output stream.

See Also:
  - `System.out`
  - `print(OutputStream)`
  - `print(Writer)`
  - `log()`

### print

public static ResultHandler print(OutputStream stream)
Print `MvcResult` details to the supplied `OutputStream`.

Since:
  4.2
See Also:
  - `print()`
  - `print(Writer)`
  - `log()`

### print

public static ResultHandler print(Writer writer)
Print `MvcResult` details to the supplied `Writer`.

Since:
  4.2
See Also:
  - `print()`
  - `print(OutputStream)`
  - `log()`